Commits

Anonymous committed 435b82e

jl162 #i115180# fix problems with latest java 1.6.0_22 on MacOS 10.6

Comments (0)

Files changed (1)

jvmfwk/source/elements.cxx

             //nRequirements does not have the flag JFW_REQUIRE_NEEDRESTART the
             //jvm of the new selected JRE will be started. Old settings (before
             //OOo 3.3) still contain the flag which can be safely ignored.
-            if (nRequirements & JFW_REQUIRE_NEEDRESTART)
-                nRequirements ^= JFW_REQUIRE_NEEDRESTART;
+            nRequirements &= ~JFW_REQUIRE_NEEDRESTART;
 #endif            
         }
         else if (xmlStrcmp(cur->name, (xmlChar*) "vendorData") == 0)